<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
//$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A4', true, 'UTF-8', false);	
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A5', true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE DE VENTAS POR PRODUCTO');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->AddPage('L');

//$pdf->SetFont('Arial', 'BIU', 100);

			$modelo=$_POST['cod_modelo']; 
			$fecha_actualxls=strip_tags($_POST['fecha_anticipo']);
			$fecha_actualxls2=strip_tags($_POST['fecha_anticipo2']);
		
			$consultar_modelo=mysql_query("select * from tabla_modelos where id='$modelo'",$link);
			$ver_consultar_modelo=mysql_fetch_array($consultar_modelo);	
			$nombre_modelo=$ver_consultar_modelo['nombre'];

$html1 ='

		<br>
		<table>
			<tr>
				<td><h3>AMANACU</h3></td>
			</tr>			
			<tr>
				<td><h3>REPORTE DE VENTAS POR PRODUCTOS - '.$nombre_modelo.'</h3></td>
			</tr>	
			<tr>
				<td><h3>FECHA EMISION: '.date('d/m/y - h:i:s A').' </h3></td>
			</tr>
			<tr>
				<td><h3>FECHA DE VENTA DESDE : '.$fecha_actualxls.' HASTA '.$fecha_actualxls2.' </h3></td>
			</tr>	
		</table>

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		<br>
		<table border="0">
			<tr>
				<td WIDTH="10%">CODIGO</td>
				<td WIDTH="30%">Nombre del producto</td>
				<td>Unidad de medida</td>
				<td>Cantidad</td>
				<td>Venta en $</td>
			</tr>
		</table>
		----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	';
								if($modelo=='')
								{	
									$consultar_sql_ver=mysql_query("select * from  tabla_productos where eliminar='0' ",$link);
								} else {
									$consultar_sql_ver=mysql_query("select * from  tabla_productos where eliminar='0' and cod_modelo='$modelo' ",$link);
								}	
									while($ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver)){
										$id_control_cod_medida=$ver_consultar_sql_ver['cod_medida']; 
										$consultar_sql_ver_medida=mysql_query("select * from   tabla_unidad_medida where id='$id_control_cod_medida'",$link);
										$ver_consultar_sql_ver_medida=mysql_fetch_array($consultar_sql_ver_medida);	
										$cod_producto=$ver_consultar_sql_ver['id'];
										$consultas_ventas=mysql_query("select SUM(sub_total_dolares),cod_modelo,cod_marca,token,SUM(cantidad),SUM(total_factura_dolares),SUM(total_factura),fecha_registro,eliminar from  tabla_factura_detalle_fact_xls where cod_producto='$cod_producto' and fecha_registro BETWEEN '$fecha_actualxls' AND '$fecha_actualxls2' and eliminar='0' GROUP BY cod_producto",$link);
										$ver_consultas_ventas=mysql_fetch_array($consultas_ventas);
										$control_id=$ver_consultas_ventas['token'];
										$cod_marca=$ver_consultas_ventas['cod_marca'];
										$cod_modelo=$ver_consultas_ventas['cod_modelo'];
										$cantidad=$ver_consultas_ventas['SUM(cantidad)'];
										if($control_id!=''){
											if($cod_modelo=='8'){
												$total_factura_dolares=$ver_consultas_ventas['SUM(sub_total_dolares)'];
												$total_factura=$ver_consultas_ventas['SUM(sub_total_bs)'];
											} else {
												$total_factura_dolares=$ver_consultas_ventas['SUM(total_factura_dolares)'];
												$total_factura=$ver_consultas_ventas['SUM(total_factura)'];
											}
											if($cod_producto=='1' or $cod_producto=='14' ){
												if($cod_producto=='1'){
													$cantidad=$ver_consultas_ventas['SUM(cantidad)'];
												}	
												if($cod_producto=='14'){
													$cantidad=$ver_consultas_ventas['SUM(cantidad)'];
												}
											} else {
												$cantidad=$ver_consultas_ventas['SUM(cantidad)'];
											}
	$i++;
	$html51[]='

	<table  border="0" WIDTH="100%">
	  <tr>
			<td WIDTH="10%">'.$ver_consultar_sql_ver['cod_producto'].'</td>
			<td WIDTH="30%">'.$ver_consultar_sql_ver['nombre_producto'].'</td>
			<td>'.$ver_consultar_sql_ver_medida['nombre'].'</td>
			<td>'.number_format($cantidad, 2, ',','.').'</td>
			<td>'.number_format($total_factura_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
}

								if($modelo=='')
								{	
									$consultas_ventasx=mysql_query("select token,SUM(cantidad),SUM(total_factura_dolares),SUM(total_factura),fecha_registro,eliminar from  tabla_factura_detalle_fact_xls where fecha_registro BETWEEN '$fecha_actualxls' AND '$fecha_actualxls2' and eliminar='0'  ",$link);
								} else {
									$consultas_ventasx=mysql_query("select token,SUM(cantidad),SUM(total_factura_dolares),SUM(total_factura),fecha_registro,eliminar from  tabla_factura_detalle_fact_xls where fecha_registro BETWEEN '$fecha_actualxls' AND '$fecha_actualxls2' and eliminar='0' and cod_modelo='$modelo'",$link);
								}
$ver_consultas_ventasx=mysql_fetch_array($consultas_ventasx);	
$total_cantidad=$ver_consultas_ventasx['SUM(cantidad)'];
$total_factura_dolares=$ver_consultas_ventasx['SUM(total_factura_dolares)'];
								
$html5 ='
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	<table  border="0" WIDTH="100%">
	  <tr>
			<td WIDTH="10%"></td>
			<td WIDTH="30%"></td>
			<td><b>TOTAL</b></td>
			<td>'.number_format($total_cantidad, 2, ',','.').'</td>
			<td>'.number_format($total_factura_dolares, 2, ',','.').' $</td>
	  </tr> 
	</table>
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

';
									
									
					
$pdf->SetFont('freesans', '', 7);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(1);
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html5, true, 0, true, true);
$pdf->Ln(1); 
$pdf->Output('VENTAS_PRODUCTOS-'.$n_factura.'.pdf', 'I');
?>